Imports EgtBEAMWALL.Core
Imports EgtWPFLib5

Class Application

   ' Application-level events, such as Startup, Exit, and DispatcherUnhandledException
   ' can be handled in this file.
   Protected Overrides Sub OnStartup(e As StartupEventArgs)
      MyBase.OnStartup(e)
      ShutdownMode = System.Windows.ShutdownMode.OnMainWindowClose
      ' Recupero directory file INI
      GetIniFileDirectory()
      ' Recupero bOnlyProd per selezione MainWindow
      Dim bOnlyProd As Boolean = Read_Value(EgtWPFLib5.ConstIni.S_GENERAL, EgtBEAMWALL.Core.ConstIni.K_ONLYPROD, IniFile.m_sIniFile)
      ' Creo la View principale
      If bOnlyProd Then
         Me.MainWindow = New OnlyProdMainWindowV
      Else
         Me.MainWindow = New MainWindowV
      End If
      ' Mostro la View principale
      Me.MainWindow.Show()
   End Sub

End Class
